Bug 1105023 - perl-IO-Event-0.813-1.fc21 FTBFS: t/forked2.t fails under heavy load
Summary: perl-IO-Event-0.813-1.fc21 FTBFS: t/forked2.t fails under heavy load
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-IO-Event
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-05 08:45 UTC by Petr Pisar
Modified: 2016-02-24 18:11 UTC (History)
2 users (show)

Fixed In Version: perl-IO-Event-0.813-7.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-24 18:11:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 92200 None None None Never

Description Petr Pisar 2014-06-05 08:45:42 UTC
perl-IO-Event-0.813-1.fc21 fails t/forked2.t test if the host is under heavy load:

# Looks like you planned 115 tests but ran 111.
print 960: Connection reset by peer
Compilation failed in require at t/forked2.t line 5.
t/forked2.t ..... 
Dubious, test returned 255 (wstat 65280, 0xff00)
Failed

Comment 1 Emmanuel Seyman 2014-11-20 09:41:37 UTC
Given that this issue is an upstream bug more than it is a packaging issue, I'll be keeping track of it in CPAN's RT. Accordingly, I'm closing this bug with the resolution of UPSTREAM.

Comment 2 Petr Pisar 2016-02-24 16:12:21 UTC
Debian provided a patch that fixes the race according to my humble tests. I still encounter this issue occasionally, so I will apply the patch onto Rawhide.


Note You need to log in before you can comment on or make changes to this bug.